using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Utilities.ProgramManager.Cqrs;

public class CreateProgramManagerValidator : AbstractValidator<CreateProgramManagerRequest>
{
    public CreateProgramManagerValidator()
    {
        RuleFor(x => x.Title).NotEmpty().MaximumLength(GlobalConsts.StringLengthMedium);
        RuleFor(x => x.ProgramManagerResourceId).NotEmpty().WithMessage("Resource is required");
    }
}